//
// Module: MissingPixCorrector
// Author: Richard Saxton
//
// Description: 
//
// Point source implementation of an Encircled Energy Corrector class
//
// Modifications: See ChangeLog
// 
// $Id: MissingPixCorrector.cc,v 1.11 2000/10/19 15:12:49 hsiddiqu Exp $

/* General */

/* SAS-specific */
#include "Tracer.h"

/* Local */
#include "NumericalRange.h"
#include "MissingPixCorrector.h"
#include "PixelIterator.h"

/* Constructor */
MissingPixCorrector::MissingPixCorrector(unsigned eefactor):
  IterEeCorrector(eefactor)
{
  PROC;
  ENDPROC;
}

/* Destructor */
MissingPixCorrector::~MissingPixCorrector()
{
  PROC;
  ENDPROC;
}

/* These  will be overridden by 
void MissingPixCorrector::filterMap()
{
  PROC;
  ENDPROC;
}


double MissingPixCorrector::eeFraction( double energy  ) const
{
  PROC;
  RETURN energy;
}
  
derived classes */
