//
// Module: CheckExpr
// Author: Hassan Siddiqui
//
// Description: 
//
// A simple tool to check whether a selection expression
// contains any entries of type "true".
//
// Modifications: See ChangeLog
// 
// $Id: CheckExpr.h,v 1.1 2000/09/01 16:42:28 hsiddiqu Exp $

#ifndef CheckExpr_H
#define CheckExpr_H

// General classes
#include <iostream>

// SAS-specific classes

// General utility functions

// Local classes


class CheckExpr
{
public:

  /* Returns false if there is more than one
     component in string that does not contain
     the substring "true" */
  static bool check(const string & str);

private:

  CheckExpr();
  
};
#endif
